Bug 784591 - Review Request: glazedlists - A Java toolkit for transformations in Java
Summary: Review Request: glazedlists - A Java toolkit for transformations in Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas 'Sheldon' Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 784596
TreeView+ depends on / blocked
 
Reported: 2012-01-25 13:55 UTC by Mary Ellen Foster
Modified: 2012-03-16 21:14 UTC (History)
4 users (show)

Fixed In Version: glazedlists-1.8.0-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-16 21:14:40 UTC
Type: ---
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mary Ellen Foster 2012-01-25 13:55:06 UTC
Spec URL: http://mef.fedorapeople.org/packages/jabref/glazedlists.spec
SRPM URL: http://mef.fedorapeople.org/packages/jabref/glazedlists-1.8.0-1.fc16.src.rpm

Description:
Glazed Lists is an open source toolkit for list transformations. If a
developer is already familiar with ArrayList or Vector, he or she will feel
at home with Glazed Lists.

Comment 1 Tomas 'Sheldon' Radej 2012-01-25 14:12:09 UTC
Taking this.

Comment 2 Mary Ellen Foster 2012-01-25 15:05:47 UTC
Updated package:
- Remove clean section, install unversioned javadocs
- Accurate licenses in header

http://mef.fedorapeople.org/packages/jabref/glazedlists-1.8.0-2.fc16.src.rpm

Comment 3 Tomas 'Sheldon' Radej 2012-02-01 15:58:44 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: 
glazedlists.src: W: invalid-url Source0: http://java.net/downloads/glazedlists/glazedlists-1.8.0/glazedlists-1.8.0-source_java15.zip HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
       >> The 404 error is invalid, the file is there and can be accessed

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
       >> See Issues
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[!]  Package is licensed with an open-source compatible license and meets other
     legal requirements as defined in the legal section of Packaging Guidelines. 
       >> See Issues
[!]  License field in the package spec file matches the actual license.
     License type: LGPLv2+ (v2 specified) and MPLv1.1, several files licensed
                   under ASL (not mentioned in spec) 
       >> See Issues
[x]  If (and only if) the source package includes the text of the license(s) in
     its own file, then that file, containing the text of the license(s) for the
     package is included in %doc.
[!]  All independent sub-packages have license of their own
       >> Javadoc subpackage lacks the license file
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
     in the spec URL.
     MD5sum of sources: 479c0ad0635e4b38e17265307c19f233
[x]  All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[!]  File sections do not contain %defattr(-,root,root,-) unless changed with
     good reason
       >> These are no longer necessary, it would be good if you removed them
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
     (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
     mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
     application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks) 
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
       >> See Issues
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that
     tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
     building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
     %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
     comment 
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
     it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

*** ISSUES ***

- The following files are licensed under Apache License, which is not
  mentioned in the License field:
    ./ca/odell/glazedlists/impl/Preconditions.java: Apache (v2.0) 
    ./ca/odell/glazedlists/impl/java15/TypeLiteral.java: Apache (v2.0) 
    ./ca/odell/glazedlists/impl/java15/MoreTypes.java: Apache (v2.0) 

- The version of LGPL is not v2, but v2+

- I don't know if the used licenses (LGPLv2+, MPL 1.1 and ASL 2.0) are
  mutually compatible so I am blocking FE-LEGAL on this. 

- Javadoc subpackage is missing the license file

- Defattr is redundant


*** NOT APPROVED ***


To Legal: Could you please say if the licensing situation of this package is acceptable? Thank you.

Comment 4 Tom "spot" Callaway 2012-02-01 19:01:40 UTC
The licensing situation is fine. Lifting FE-Legal.

Comment 5 Tomas 'Sheldon' Radej 2012-02-02 08:55:09 UTC
To Spot: Thank you.

To Mary: In this case, please fix the license field in the spec file + the other things and the package is good to go.

Comment 6 Mary Ellen Foster 2012-02-13 09:50:13 UTC
Sorry for the delay -- here is the new package with all changes made:

http://mef.fedorapeople.org/packages/jabref/glazedlists.spec
http://mef.fedorapeople.org/packages/jabref/glazedlists-1.8.0-3.fc16.src.rpm

Comment 7 Tomas 'Sheldon' Radej 2012-03-01 10:31:33 UTC
This looks good.

*** APPROVED ***

Comment 8 Mary Ellen Foster 2012-03-02 12:16:31 UTC
New Package SCM Request
=======================
Package Name:      glazedlists
Short Description: A toolkit for transformations in Java
Owners:            mef
Branches:          f17

Comment 9 Gwyn Ciesla 2012-03-02 12:56:44 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-02 14:10:43 UTC
glazedlists-1.8.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glazedlists-1.8.0-3.fc17

Comment 11 Fedora Update System 2012-03-05 20:59:10 UTC
glazedlists-1.8.0-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 12 Fedora Update System 2012-03-16 21:14:40 UTC
glazedlists-1.8.0-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.